Change layer of block without exploding

Discussion in 'AutoCAD' started by Gizmo, Dec 19, 2003.

  1. Gizmo

    Gizmo Guest

    Hi There


    The problem is that i want to insert a block but every time i insert it i
    want to change the layer. This so i can put them on and of in the viewports.
    Is it possible to change the layer without exploding the block.

    If not how do i explode the block, i've scaled the x coordinate and when you
    do that exploding isn't possible any more.


    This is what i have


    Sub Test (byval extrusion as double)

    Dim blockobj As AcadBlockReference
    Dim insertionPnt(0 To 2) As Double



    insertionPnt(0) = 0#: insertionPnt(1) = 0#: insertionPnt(2) = 0#
    Set blockobj = ThisDrawing.ModelSpace.InsertBlock(insertionPnt,
    ("D:\Documents and Settings\stagiair\Bureaublad\Library\blocks\profiel
    90-90Z.dwg"), extrusion#, 1#, 1#, 0)

    blockobj.Explode ==============> give's error "invalid input"

    End Sub


    I've you have any idea please help

    THX

    Wiebe
     
    Gizmo, Dec 19, 2003
    #1
Ask a Question

Want to reply to this thread or ask your own question?

You'll need to choose a username for the site, which only take a couple of moments (here). After that, you can post your question and our members will help you out.